Bug 1767926 - `targetResource` missing from generated ConsoleYAMLSample CRD
Summary: `targetResource` missing from generated ConsoleYAMLSample CRD
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.0
Assignee: bpeterse
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-01 16:46 UTC by Samuel Padgett
Modified: 2020-01-23 11:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.3.0-0.ci-2019-10-31-115228 Cluster ID: 56bb5409-be1a-48f7-b67a-2bcc70651960
Last Closed: 2020-01-23 11:10:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift api pull 507 0 'None' 'closed' 'Bug 1767926: Fix targetResource in ConsoleYAMLSample CRD' 2019-11-13 16:09:20 UTC
Github openshift console-operator pull 335 0 'None' 'closed' 'Bug 1767926: Bump vendor' 2019-11-13 16:09:20 UTC
Red Hat Product Errata RHBA-2020:0062 0 None None None 2020-01-23 11:10:40 UTC

Description Samuel Padgett 2019-11-01 16:46:38 UTC
The CRD is missing `targetResource`, which causes a runtime error in console when a YAML sample is created.

Comment 1 Samuel Padgett 2019-11-01 16:48:27 UTC
I believe this has always been an issue, but it's showing up now since we added `preserveUnknownFields: false`

https://github.com/openshift/api/blob/master/console/v1/types_console_yaml_sample.go#L21-L23

https://github.com/openshift/api/blob/master/console/v1/0000_10_consoleyamlsample.crd.yaml#L42-L74

Comment 2 Samuel Padgett 2019-11-01 17:41:49 UTC
Moving back to assigned as this still requires a console operator change

Comment 3 bpeterse 2019-11-04 17:40:28 UTC
PR to console-operator to consume this api update:

https://github.com/openshift/console-operator/pull/335

Once this merges this bug should be resolved.

Comment 5 Yanping Zhang 2019-11-06 09:11:51 UTC
Fix is not included in payload 4.3.0-0.nightly-2019-11-05-164935, will try when fix is available.

Comment 6 Yanping Zhang 2019-11-07 05:47:30 UTC
Tested on ocp 4.3 with payload 4.3.0-0.nightly-2019-11-06-184828, now create ConsoleYAMLSample crd, there is targetResource in created crd. No runtime error occurs now.

Comment 8 errata-xmlrpc 2020-01-23 11:10:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.